# Uses of Interface
org.eclipse.emf.cdo.common.lock.CDOLockState

Packages that use CDOLockState
Package
Description
org.eclipse.emf.cdo
Client concepts like `CDOObject` and `CDOState`.
org.eclipse.emf.cdo.common.lock
Common concepts for dealing with durable locks and views.
org.eclipse.emf.cdo.common.protocol
Common concepts for dealing with protocols and CDO-specific I/O.
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.spi.common.lock
Common service provider interfaces and useful base implementations for dealing with object locks.
org.eclipse.emf.cdo.spi.common.protocol
Common base implementations for dealing with I/O of CDO data structures.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.
org.eclipse.emf.cdo.transaction
Client concepts for dealing with transactions, distributed transactions and their save points.
org.eclipse.emf.cdo.view
Client concepts for dealing with views, view sets, queries, CDO objects and EMF resource sets.
org.eclipse.emf.internal.cdo
Exposes `CDOObjectImpl` for extension in generated EMF models.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOLockState in org.eclipse.emf.cdo

Methods in org.eclipse.emf.cdo that return CDOLockState
Modifier and Type
Method
Description
`CDOLockState`
CDOObject.`cdoLockState()`
Returns the `lock state` of this object, or `null` if this object is `transient`.

## Uses of CDOLockState in org.eclipse.emf.cdo.common.lock

Fields in org.eclipse.emf.cdo.common.lock declared as CDOLockState
Modifier and Type
Field
Description
`static final CDOLockState[]`
CDOLockUtil.`NO_LOCK_STATES`
Methods in org.eclipse.emf.cdo.common.lock that return CDOLockState
Modifier and Type
Method
Description
`static CDOLockState`
CDOLockUtil.`convertLockState(org.eclipse.net4j.util.concurrent.RWOLockManager.LockState<Object,? extends CDOCommonView> lockState)`
`static CDOLockState`
CDOLockUtil.`copyLockState(CDOLockState lockState)`
Deprecated.
As of 4.15 no longer supported.
`static CDOLockState`
CDOLockUtil.`copyLockState(CDOLockState lockState, Object lockedObject)`
Deprecated.
As of 4.15 no longer supported.
`static CDOLockState`
CDOLockUtil.`createLockState(Object target)`
`static CDOLockState`
CDOLockUtil.`createLockState(org.eclipse.net4j.util.concurrent.RWOLockManager.LockState<Object,? extends CDOCommonView> lockState)`
Deprecated.
As of 4.15 use `CDOLockUtil.convertLockState(LockState)`.
`CDOLockState[]`
CDOLockChangeInfo.`getLockStates()`
Methods in org.eclipse.emf.cdo.common.lock with parameters of type CDOLockState
Modifier and Type
Method
Description
`static CDOLockState`
CDOLockUtil.`copyLockState(CDOLockState lockState)`
Deprecated.
As of 4.15 no longer supported.
`static CDOLockState`
CDOLockUtil.`copyLockState(CDOLockState lockState, Object lockedObject)`
Deprecated.
As of 4.15 no longer supported.
`static CDOLockChangeInfo`
CDOLockUtil.`createLockChangeInfo(long timestamp, CDOCommonView view, CDOBranch viewedBranch, CDOLockChangeInfo.Operation op, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType, CDOLockState[] newLockStates)`
Deprecated.
As of 4.15 use `CDOLockUtil.createLockChangeInfo(CDOBranchPoint, CDOLockOwner, Collection, Collection)`.
`static CDOLockChangeInfo`
CDOLockUtil.`createLockChangeInfo(long timestamp, CDOLockOwner lockOwner, CDOBranch branch, CDOLockChangeInfo.Operation op, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType, CDOLockState[] newLockStates)`
Deprecated.
As of 4.15 use `CDOLockUtil.createLockChangeInfo(CDOBranchPoint, CDOLockOwner, Collection, Collection)`.

## Uses of CDOLockState in org.eclipse.emf.cdo.common.protocol

Methods in org.eclipse.emf.cdo.common.protocol that return CDOLockState
Modifier and Type
Method
Description
`CDOLockState`
CDODataInput.`readCDOLockState()`
Methods in org.eclipse.emf.cdo.common.protocol that return types with arguments of type CDOLockState
Modifier and Type
Method
Description
`default List<CDOLockState>`
CDODataInput.`readCDOLockStates()`
Methods in org.eclipse.emf.cdo.common.protocol with parameters of type CDOLockState
Modifier and Type
Method
Description
`void`
CDODataOutput.`writeCDOLockState(CDOLockState lockState)`
Method parameters in org.eclipse.emf.cdo.common.protocol with type arguments of type CDOLockState
Modifier and Type
Method
Description
`default void`
CDODataOutput.`writeCDOLockStates(List<CDOLockState> lockStates, Predicate<CDOLockState> filter)`
`default void`
CDODataOutput.`writeCDOLockStates(List<CDOLockState> lockStates, Predicate<CDOLockState> filter)`

## Uses of CDOLockState in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server that return CDOLockState
Modifier and Type
Method
Description
`CDOLockState[]`
IStoreAccessor.CommitContext.`getLocksOnNewObjects()`
Returns an array of the locks on the new objects that are part of the commit operation represented by this `CommitContext`.
Methods in org.eclipse.emf.cdo.server that return types with arguments of type CDOLockState
Modifier and Type
Method
Description
`List<CDOLockState>`
IStoreAccessor.CommitContext.`getLockStates()`

## Uses of CDOLockState in org.eclipse.emf.cdo.spi.common.lock

Subinterfaces of CDOLockState in org.eclipse.emf.cdo.spi.common.lock
Modifier and Type
Interface
Description
`interface`
`InternalCDOLockState`
If the meaning of this type isn't clear, there really should be more of a description here...
Classes in org.eclipse.emf.cdo.spi.common.lock that implement CDOLockState
Modifier and Type
Class
Description
`class`
`AbstractCDOLockState`
If the meaning of this type isn't clear, there really should be more of a description here...
Fields in org.eclipse.emf.cdo.spi.common.lock declared as CDOLockState
Modifier and Type
Field
Description
`static final CDOLockState`
InternalCDOLockState.`UNLOCKED`
Deprecated.
As of 4.12 no longer supported.
Methods in org.eclipse.emf.cdo.spi.common.lock with parameters of type CDOLockState
Modifier and Type
Method
Description
`final void`
AbstractCDOLockState.`updateFrom(Object object, CDOLockState source)`
Deprecated.
`final void`
AbstractCDOLockState.`updateFrom(CDOLockState source)`
Deprecated.
`void`
InternalCDOLockState.`updateFrom(Object object, CDOLockState source)`
Deprecated.
As of 4.5 not supported anymore.
`void`
InternalCDOLockState.`updateFrom(CDOLockState source)`
Deprecated.
As of 4.15 not supported anymore.

## Uses of CDOLockState in org.eclipse.emf.cdo.spi.common.protocol

Methods in org.eclipse.emf.cdo.spi.common.protocol that return CDOLockState
Modifier and Type
Method
Description
`CDOLockState`
CDODataInputImpl.`readCDOLockState()`
Methods in org.eclipse.emf.cdo.spi.common.protocol with parameters of type CDOLockState
Modifier and Type
Method
Description
`void`
CDODataOutputImpl.`writeCDOLockState(CDOLockState lockState)`

## Uses of CDOLockState in org.eclipse.emf.cdo.spi.server

Methods in org.eclipse.emf.cdo.spi.server with parameters of type CDOLockState
Modifier and Type
Method
Description
`void`
InternalCommitContext.`setLocksOnNewObjects(CDOLockState[] locksOnNewObjects)`

## Uses of CDOLockState in org.eclipse.emf.cdo.transaction

Methods in org.eclipse.emf.cdo.transaction that return CDOLockState
Modifier and Type
Method
Description
`CDOLockState[]`
CDOPushTransaction.`getLockStates(Collection<CDOID> ids)`
`CDOLockState[]`
CDOPushTransaction.`getLockStates(Collection<CDOID> ids, boolean loadOnDemand)`
`CDOLockState[]`
CDOPushTransaction.`getLockStatesOfObjects(Collection<? extends CDOObject> objects)`
Methods in org.eclipse.emf.cdo.transaction that return types with arguments of type CDOLockState
Modifier and Type
Method
Description
`Collection<CDOLockState>`
CDOCommitContext.`getLocksOnNewObjects()`
Method parameters in org.eclipse.emf.cdo.transaction with type arguments of type CDOLockState
Modifier and Type
Method
Description
`void`
CDOPushTransaction.`refreshLockStates(Consumer<CDOLockState> consumer)`
Deprecated.

## Uses of CDOLockState in org.eclipse.emf.cdo.view

Methods in org.eclipse.emf.cdo.view that return CDOLockState
Modifier and Type
Method
Description
`protected final CDOLockState`
CDOLockStatePrefetcher.`getLockState(CDOObject object)`
`CDOLockState[]`
CDOView.`getLockStates(Collection<CDOID> ids)`
Get an array of `lock states` corresponding to the specified collection of `ids`.
`CDOLockState[]`
CDOView.`getLockStates(Collection<CDOID> ids, boolean loadOnDemand)`
Get an array of `lock states` corresponding to the specified collection of `ids`.
`CDOLockState[]`
CDOView.`getLockStatesOfObjects(Collection<? extends CDOObject> objects)`
Get an array of `lock states` corresponding to the specified collection of `objects`.
Method parameters in org.eclipse.emf.cdo.view with type arguments of type CDOLockState
Modifier and Type
Method
Description
`void`
CDOView.`refreshLockStates(Consumer<CDOLockState> consumer)`
Refreshes the `lock states` of this `view` with the latest states from the repository.

## Uses of CDOLockState in org.eclipse.emf.internal.cdo

Methods in org.eclipse.emf.internal.cdo that return CDOLockState
Modifier and Type
Method
Description
`final CDOLockState`
CDOObjectImpl.`cdoLockState()`
`static CDOLockState`
CDOObjectImpl.`getLockState(InternalCDOObject object)`

## Uses of CDOLockState in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return CDOLockState
Modifier and Type
Method
Description
`CDOLockState`
CDOLockStateCache.`getLockState(CDOBranch branch, CDOID id)`
`CDOLockState[]`
CDOSessionProtocol.`getLockStates(int viewID, Collection<CDOID> ids)`
Deprecated.
`CDOLockState[]`
CDOSessionProtocol.`getLockStates(int branchID, Collection<CDOID> ids, int depth)`
Deprecated.
`CDOLockState[]`
CDOSessionProtocol.CommitTransactionResult.`getNewLockStates()`
Deprecated.
As of 4.15 use `CDOSessionProtocol.CommitTransactionResult.getLockDeltas()`.
`CDOLockState[]`
CDOSessionProtocol.LockObjectsResult.`getNewLockStates()`
Deprecated.
As of 4.15 use `CDOSessionProtocol.LockObjectsResult.getLockStates()`.
`CDOLockState[]`
CDOSessionProtocol.UnlockObjectsResult.`getNewLockStates()`
Deprecated.
As of 4.15 use `CDOSessionProtocol.UnlockObjectsResult.getLockStates()`.
Methods in org.eclipse.emf.spi.cdo that return types with arguments of type CDOLockState
Modifier and Type
Method
Description
`List<CDOLockState>`
CDOSessionProtocol.CommitTransactionResult.`getLockStates()`
`List<CDOLockState>`
CDOSessionProtocol.LockObjectsResult.`getLockStates()`
`List<CDOLockState>`
CDOSessionProtocol.UnlockObjectsResult.`getLockStates()`
`List<CDOLockState>`
CDOSessionProtocol.`getLockStates2(int branchID, Collection<CDOID> ids, int depth)`
Methods in org.eclipse.emf.spi.cdo with parameters of type CDOLockState
Modifier and Type
Method
Description
`void`
CDOSessionProtocol.CommitTransactionResult.`setNewLockStates(CDOLockState[] newLockStates)`
Deprecated.
As of 4.15 use `CDOSessionProtocol.CommitTransactionResult.setLockStates(List)`.
`void`
InternalCDOView.`updateLockStates(CDOLockState[] newLockStates, boolean loadObjectsOnDemand, Consumer<CDOLockState> consumer)`
Deprecated.
As of 4.15 use `CDOLockStateCache.updateLockStates(CDOBranch, Collection, Collection, Consumer)`.
Method parameters in org.eclipse.emf.spi.cdo with type arguments of type CDOLockState
Modifier and Type
Method
Description
`void`
CDOLockStateCache.`addLockStates(CDOBranch branch, Collection<? extends CDOLockState> newLockStates, Consumer<CDOLockState> consumer)`
`void`
CDOLockStateCache.`addLockStates(CDOBranch branch, Collection<? extends CDOLockState> newLockStates, Consumer<CDOLockState> consumer)`
`void`
CDOLockStateCache.`forEachLockState(CDOBranch branch, CDOLockOwner owner, Consumer<CDOLockState> consumer)`
`void`
CDOLockStateCache.`getLockStates(CDOBranch branch, Collection<CDOID> ids, boolean loadOnDemand, Consumer<CDOLockState> consumer)`
`void`
CDOLockStateCache.`removeLockStates(CDOBranch branch, Collection<CDOID> ids, Consumer<CDOLockState> consumer)`
`List<CDOLockDelta>`
CDOLockStateCache.`removeOwner(CDOBranch branch, CDOLockOwner owner, Consumer<CDOLockState> consumer)`
`void`
CDOSessionProtocol.CommitTransactionResult.`setLockStates(List<CDOLockState> lockStates)`
`void`
CDOLockStateCache.`updateLockStates(CDOBranch branch, Collection<CDOLockDelta> lockDeltas, Collection<CDOLockState> lockStates, Consumer<CDOLockState> consumer)`
`void`
InternalCDOView.`updateLockStates(CDOLockState[] newLockStates, boolean loadObjectsOnDemand, Consumer<CDOLockState> consumer)`
Deprecated.
As of 4.15 use `CDOLockStateCache.updateLockStates(CDOBranch, Collection, Collection, Consumer)`.
Constructors in org.eclipse.emf.spi.cdo with parameters of type CDOLockState
Modifier
Constructor
Description
``
`LockObjectsResult(boolean successful, boolean timedOut, boolean waitForUpdate, long requiredTimestamp, CDORevisionKey[] staleRevisions, CDOLockState[] newLockStates, long timestamp)`
Deprecated.
``
`UnlockObjectsResult(CDOLockState[] newLockStates, long timestamp)`
Deprecated.